CodeIgniter Forums

Full Version: php migration from 5.2 to 5.3.1
You're currently viewing a stripped down version of our content. View the full version with proper formatting.

El Forum

[eluser]Ajaxian64[/eluser]
Hy everybody,

I had my website which worked fine with CI 1.7.1 and PHP 5.2.
Yesterday someone has had the 'good idea' to migrate from PHP 5.2 to PHP 5.3.1
then several errors and warnings occured on my website.

I finaly upgrade to CI 1.7.2 but it seems there is a problem with email librairie.

I had the following message:
Severity: warning
Message Mail Tongueolicy restriction effect. The fifth parameter is disabled on this system
filename: librairies/email.php
line :1519

help would be very appreciate
thanks

El Forum

[eluser]danmontgomery[/eluser]
Probably turned on safe_mode in php.ini when PHP was updated, which disables the additional_parameters option in the mail() function?

[edit]

Scratch that, email class loads safe_mode from php.ini so that can't be the case. Someone posted on EE forums the same problem (http://ellislab.com/forums/viewthread/143145/), and they just took out the fifth parameter to get around it.

El Forum

[eluser]Ajaxian64[/eluser]
Thanks noctrum for your post.